{- This file is part of irc-fun-color.
 -
 - Written in 2016 by fr33domlover <fr33domlover@riseup.net>.
 -
 - ♡ Copying is an act of love. Please copy, reuse and share.
 -
 - The author(s) have dedicated all copyright and related and neighboring
 - rights to this software to the public domain worldwide. This software is
 - distributed without any warranty.
 -
 - You should have received a copy of the CC0 Public Domain Dedication along
 - with this software. If not, see
 - <http://creativecommons.org/publicdomain/zero/1.0/>.
 -}

module Network.IRC.Fun.Color.Format
    ( format
    , lformat
    )
where

{-
components:

- Format type
- format, lformat
- text, ltext
- printing into stdout or handle or connection? perhaps the latter should be
  in irc-fun-client, will also save the annoying MsgContent ctor everywhere,
  maybe also make MsgContent a Monoid instance?
- long formatters
- short formatters
- irc specific long formatters
- irc specific short formatters
-}

import qualified Data.Text as T (Text)
import qualified Data.Text.Lazy as TL (Text)
import qualified Formatting as F

-- | Run the formatter and return a strict 'T.Text' value.
format :: F.Format T.Text a -> a
format = F.sformat

-- | Run the formatter and return a lazy 'LT.Text' value.
lformat :: F.Format TL.Text a -> a
lformat = F.format
